/* linking library: -lreadline -ltermcap */
#include <stdio.h>
#include <stdlib.h>
#include <readline/readline.h>
#include <readline/history.h>

/* a static variable for holding the line. */
static char *line_read = (char *)NULL;
extern char *path;

/* read a string, and return a pointer to it. returns null on eof. */
char *rl_gets ()
{
    /* if the buffer has already been allocated,
        return the memory to the free pool. */
    if (line_read)
    {
        free (line_read);
        line_read = (char *)NULL;
    }
	printf("Easy_shell:%s ",path);
    /* get a line from the user. */
    line_read = readline ("$:");

    /* if the line has any text in it, save it on the history. */
    if (line_read && *line_read)
    add_history (line_read);

    return (line_read);
}

int key(void)
{
    /* to disable the default tab behavior. */
    rl_bind_key('\t', rl_insert);

        extern char *buf;
        buf = rl_gets();
        //free(buf);
    return 0;
}

